---
layout: memberPage
type: news
title: mimik joins SOAFEE SIG
description: New member announcement – click for more details on mimik
date: 2023-07-20
memberId: mimik

banner:
  background: banner/banner3.jpg

Card:
  Class: new-member
---

# mimik joins SOAFEE SIG

The SOAFEE community are excited to welcome mimik as a voting member of the SOAFEE SIG.

## Why mimik is joining the SOAFEE SIG

mimik Technology Inc., the pioneering hybrid edge Cloud (HEC) company, is joining the SOAFEE (Service-Oriented Architecture for Edge and Fog Computing Environments) Standards Body. By joining this industry consortium, mimik aims to drive interoperability, promote openness, and foster innovation in the rapidly evolving edge computing and hybrid edge cloud landscape. mimik brings significant value to the SOAFEE community by offering its advanced HEC technology stack and platform, which enables developers to seamlessly distribute and decentralize applications across all smart devices regardless of operating systems or connectivity networks. mimik's contribution will enhance the development of open standards, protocols, and best practices, ensuring seamless integration and communication between smart devices, edge cloud nodes, and central cloud infrastructure.ß

## About mimik

mimik is the pioneering provider of a hybrid edge cloud (HEC) application development platform and business enablers for digital transformation across different industries. Our platform helps developers and enterprises to effectively achieve their business objectives by improving various crucial aspects such as time to market, cost efficiency, scalability, interoperability, data privacy, and security. Our platform ensures that businesses are not confined to proprietary technology stacks, empowering them with the freedom to explore and leverage the full potential of their applications.

mimik HEC platform seamlessly operates across diverse ecosystems of devices, including iOS, Android, Windows, macOS, Linux, QNX, Raspbian, and OpenWRT, as well as smart IoT freeRTOS sensors. It seamlessly integrates with any private or public cloud environment, providing the flexibility and versatility required to meet the evolving needs of modern enterprises. By utilizing the mimik platform, businesses can establish direct connections between siloed and fragmented applications at the edge (including directly on most smart devices), reducing reliance on intermediaries. This approach not only improves operational efficiency but also significantly reduces costs associated with legacy backend integration, potentially saving enterprises millions of dollars in the long run.

For more information visit [mimik Technology](https://mimik.com/) , and for developers [Developer Portal](https://developer.mimik.com/)
